/*
 * Copyright (c) 2014 - 2020 Honda Research Institute Japan Co., Ltd.
 * All rights reserved.
 * HARK was developed by researchers in Okuno Laboratory
 * at the Kyoto University and Honda Research Institute Japan Co.,Ltd.
 * 
 * Licensed under the HARK license, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * https://www.hark.jp/notice/HARK_License_Agreement.pdf
 */

#include "harktool.h"

int main(int argc, char *argv[])
{
    char* buf;

    asprintf(&buf, "msg %-03u", 0);
    printf("%s\n", buf);
    free(buf);

    asprintf(&buf, "msg %+03d", 1);
    printf("%s\n", buf);
    free(buf);

    asprintf(&buf, "msg %f %#x", -2.5, 15);
    printf("%s\n", buf);
    free(buf);

    asprintf(&buf, "msg %s %#o %e", "日本語", 511, 0.00001);
    printf("%s\n", buf);
    free(buf);

    asprintf(&buf, "msg %c %s %d %o %x\n%16s %ld %1.0f %u %i", '1', "2", 3, 4, 5, "6", 7l, 8.0, 9, 10);
    printf("%s\n", buf);

    cat_asprintf(&buf, " %f", 11.1);
    printf("%s\n", buf);
    free(buf);

    return 0;
}
